Search documentation of ExStreamClient

# ExStreamClient.Model.STTEgressConfig (ExStreamClient v0.1.10)

View Source

Schema representing a STTEgressConfig

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.STTEgressConfig{
      closed_captions_enabled: boolean() | nil,
      external_storage: ExStreamClient.Model.ExternalStorage.t() | nil,
      language: String.t() | nil,
      storage_name: String.t() | nil,
      translation_languages: [String.t()] | nil,
      translations_enabled: boolean() | nil,
      upload_transcriptions: boolean() | nil,
      whisper_server_base_url: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()